PrefabFiles = {
	"billy",
	"billy_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/billy.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/billy.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/billy.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/billy.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/billy_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/billy_silho.xml" ),

    Asset( "IMAGE", "bigportraits/billy.tex" ),
    Asset( "ATLAS", "bigportraits/billy.xml" ),
	
	Asset( "IMAGE", "images/map_icons/billy.tex" ),
	Asset( "ATLAS", "images/map_icons/billy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_billy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_billy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_billy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_billy.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_billy.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_billy.xml" ),
	
	Asset( "IMAGE", "images/names_billy.tex" ),
    Asset( "ATLAS", "images/names_billy.xml" ),
	
    Asset( "IMAGE", "bigportraits/billy_none.tex" ),
    Asset( "ATLAS", "bigportraits/billy_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.billy = "The Blue Ranger"
STRINGS.CHARACTER_NAMES.billy = "Billy"
STRINGS.CHARACTER_DESCRIPTIONS.billy = "*200 Health\n*100 Hungry and Sanity\n*2 Damage"
STRINGS.CHARACTER_QUOTES.billy = "\"It's Morphin time!\""

-- Custom speech strings
STRINGS.CHARACTERS.billy = require "speech_billy"

-- The character's name as appears in-game 
STRINGS.NAMES.BILLY = "Billy"

AddMinimapAtlas("images/map_icons/billy.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("billy", "ROBOT")

